Skip to content

listMyWithdrawals

GET
/v1/me/withdrawals
curl --request GET \
--url 'https://testnet-rpc.necter.network/v1/me/withdrawals?limit=50' \
--header 'Authorization: Bearer <token>'
limit
integer
default: 50 >= 1 <= 200
cursor
string

Claim and collateral withdrawals (store Withdrawal)

Media typeapplication/json
object
items
required
array
next_cursor
required
string | null
items
required
Array<object>
object
withdrawal_id
required
string
kind
required
string
Allowed values: claim collateral
status
required
string
Allowed values: pending processing completed failed
amount
required

Token base units

string
/^(0|[1-9][0-9]{0,77})$/
token
required
object
address
required

Lowercase EVM address

string
/^0x[0-9a-f]{40}$/
symbol
required
string
name
string
decimals
required
integer
<= 36
recipient

Lowercase EVM address

string
/^0x[0-9a-f]{40}$/
epochs
Array<object>
object
project_id
string
/^0x[0-9a-f]{64}$/
epoch
integer
subscription_id
One of:
string
/^0x[0-9a-f]{64}$/
fee

Token base units

string
/^(0|[1-9][0-9]{0,77})$/
tx_hash
One of:
string
/^0x[0-9a-f]{64}$/
requested_at
required
integer
completed_at
One of:
integer
error
string | null

Example

{
"items": [
{
"kind": "claim",
"status": "pending"
}
]
}